Loading...
Searching...
No Matches
Ogre::Volume::CSGCubeSource Class Reference
Optional Components » Volume

A not rotated cube. More...

`#include <OgreVolumeCSGSource.h>`

Inheritance diagram for Ogre::Volume::CSGCubeSource:
[legend]

## Public Member Functions

| CSGCubeSource (const Vector3 &min, const Vector3 &max)
| Constructor.
Real | getValue (const Vector3 &position) const override
| Overridden from Source.
Vector4 | getValueAndGradient (const Vector3 &position) const override
| Overridden from Source.
Public Member Functions inherited from Ogre::Volume::Source
virtual | ~Source (void)
| Destructor.
bool | getFirstRayIntersection (const Ray &ray, Vector3 &result, Real scale=(Real) 1.0, size_t maxIterations=5000, Real maxDistance=(Real) 10000.0) const
| Gets the first intersection of a ray with the volume.
Real | getVolumeSpaceToWorldSpaceFactor (void) const
| Gets a factor to come from volume coordinate to world coordinate.
void | serialize (const Vector3 &from, const Vector3 &to, float voxelWidth, const String &file)
| Serializes a volume source to a discrete grid file with deflated compression.
void | serialize (const Vector3 &from, const Vector3 &to, float voxelWidth, Real maxClampedAbsoluteDensity, const String &file)
| Same as the other serialize function but with a user definable maximum absolute density value.

## Additional Inherited Members

Static Public Attributes inherited from Ogre::Volume::Source
static const size_t | SERIALIZATION_CHUNK_SIZE
| The amount of items being written as one chunk during serialization.
static const uint32 | VOLUME_CHUNK_ID
| The id of volume files.
static const uint16 | VOLUME_CHUNK_VERSION
| The version of volume files.

## Detailed Description

A not rotated cube.

## Constructor & Destructor Documentation

## CSGCubeSource()

Ogre::Volume::CSGCubeSource::CSGCubeSource | ( | const Vector3 & | min,
|  | const Vector3 & | max )

Constructor.

Parameters

  min | The lower back left corner.
  max | The upper front right corner.

## Member Function Documentation

## getValueAndGradient()

Vector4 Ogre::Volume::CSGCubeSource::getValueAndGradient | ( | const Vector3 & | position | ) | const

override virtual

Overridden from Source.

Implements Ogre::Volume::Source.

## getValue()

Real Ogre::Volume::CSGCubeSource::getValue | ( | const Vector3 & | position | ) | const

override virtual

Overridden from Source.

Implements Ogre::Volume::Source.

The documentation for this class was generated from the following file:

- OgreVolumeCSGSource.h